# component/vectorFields

Reusable 3D Vector Fields Component

Source:
  - component/vectorFields.js, line 7

### Methods

#### (inner) vectorFunction(x, y, z, value) → {Object}

Vector Field Function

Source:
  - component/vectorFields.js, line 36

##### Parameters:

Name | Type | Default | Description
--- | --- | --- | ---
`x` | `number` |  |
`y` | `number` |  |
`z` | `number` |  |
`value` | `number` | null |

##### Returns:

Type:
  `Object`